org.apache.myfaces.trinidad.component.html

## Class HtmlFrameBorderLayout

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.html.HtmlFrameBorderLayout

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlFrameBorderLayout
      extends UIXComponentBase
      implements javax.faces.component.behavior.ClientBehaviorHolder

  frameBorderLayout is a layout bean which can be used to place seven frames at left, right, top, bottom, innerLeft, innerRight and center positions. It does not render any children except for the specified facets which must all be either frames or frameBorderLayouts. The user may use either left/right or start/end as facets, but not both. Left/right takes precedence over start/end. On mobile devices a list linking to each frame is rendered.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALTERNATE_CONTENT_FACET`
    `static PropertyKey` | `BORDER_WIDTH_KEY`
    `static String` | `BOTTOM_FACET`
    `static String` | `CENTER_FACET`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `END_FACET`
    `static PropertyKey` | `FRAME_BORDER_WIDTH_KEY`
    `static PropertyKey` | `FRAME_SPACING_KEY`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static String` | `INNER_END_FACET`
    `static String` | `INNER_LEFT_FACET`
    `static String` | `INNER_RIGHT_FACET`
    `static String` | `INNER_START_FACET`
    `static String` | `LEFT_FACET`
    `static PropertyKey` | `ONLOAD_KEY`
    `static PropertyKey` | `ONUNLOAD_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `RIGHT_FACET`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static String` | `START_FACET`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static String` | `TOP_FACET`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HtmlFrameBorderLayout()` Construct an instance of the HtmlFrameBorderLayout.
    `protected` | `HtmlFrameBorderLayout(String rendererType)` Construct an instance of the HtmlFrameBorderLayout.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `javax.faces.component.UIComponent` | `getAlternateContent()` These contents will be rendered inside HTML `NOFRAMES` tags.
    `protected FacesBean.Type` | `getBeanType()`
    `int` | `getBorderWidth()` Gets The size for the border width to be rendered.
    `javax.faces.component.UIComponent` | `getBottom()` The frame to be rendered below the center frame.
    `javax.faces.component.UIComponent` | `getCenter()` The frame to be rendered in the center.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `javax.faces.component.UIComponent` | `getEnd()` The frame to be rendered to the right of the center frame, if the reading direction is left-to-right, or left otherwise.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `int` | `getFrameBorderWidth()` Gets The size for the frame border width to be rendered.
    `int` | `getFrameSpacing()` Gets The size of frame spacing to be rendered.
    `String` | `getHeight()` Gets The proposed height of this frameBorderLayout.
    `String` | `getInlineStyle()` Gets the inline CSS style for this element
    `javax.faces.component.UIComponent` | `getInnerEnd()` The frame to be rendered as the innerRight frame, if the reading direction is left-to-right, or innerLeft frame otherwise.
    `javax.faces.component.UIComponent` | `getInnerLeft()` The frame to be rendered between the left frame and the center frame.
    `javax.faces.component.UIComponent` | `getInnerRight()` The frame to be rendered between the right frame and the center frame.
    `javax.faces.component.UIComponent` | `getInnerStart()` The frame to be rendered as the innerLeft frame, if the reading direction is left-to-right, or innerRight frame otherwise.
    `javax.faces.component.UIComponent` | `getLeft()` The frame to be rendered to the left of the center frame.
    `String` | `getOnload()` Gets an onload Javascript handler.
    `String` | `getOnunload()` Gets an onunload Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `javax.faces.component.UIComponent` | `getRight()` The frame to be rendered to the right of the center frame.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `javax.faces.component.UIComponent` | `getStart()` The frame to be rendered to the left of the center frame, if the reading direction is left-to-right, or right otherwise.
    `String` | `getStyleClass()` Gets the CSS style class of the bean.
    `javax.faces.component.UIComponent` | `getTop()` The frame to be rendered above the center frame.
    `String` | `getWidth()` Gets The proposed width of this frameBorderLayout.
    `void` | `setAlternateContent(javax.faces.component.UIComponent alternateContentFacet)` These contents will be rendered inside HTML `NOFRAMES` tags.
    `void` | `setBorderWidth(int borderWidth)` Sets The size for the border width to be rendered.
    `void` | `setBottom(javax.faces.component.UIComponent bottomFacet)` The frame to be rendered below the center frame.
    `void` | `setCenter(javax.faces.component.UIComponent centerFacet)` The frame to be rendered in the center.
    `void` | `setEnd(javax.faces.component.UIComponent endFacet)` The frame to be rendered to the right of the center frame, if the reading direction is left-to-right, or left otherwise.
    `void` | `setFrameBorderWidth(int frameBorderWidth)` Sets The size for the frame border width to be rendered.
    `void` | `setFrameSpacing(int frameSpacing)` Sets The size of frame spacing to be rendered.
    `void` | `setHeight(String height)` Sets The proposed height of this frameBorderLayout.
    `void` | `setInlineStyle(String inlineStyle)` Sets the inline CSS style for this element
    `void` | `setInnerEnd(javax.faces.component.UIComponent innerEndFacet)` The frame to be rendered as the innerRight frame, if the reading direction is left-to-right, or innerLeft frame otherwise.
    `void` | `setInnerLeft(javax.faces.component.UIComponent innerLeftFacet)` The frame to be rendered between the left frame and the center frame.
    `void` | `setInnerRight(javax.faces.component.UIComponent innerRightFacet)` The frame to be rendered between the right frame and the center frame.
    `void` | `setInnerStart(javax.faces.component.UIComponent innerStartFacet)` The frame to be rendered as the innerLeft frame, if the reading direction is left-to-right, or innerRight frame otherwise.
    `void` | `setLeft(javax.faces.component.UIComponent leftFacet)` The frame to be rendered to the left of the center frame.
    `void` | `setOnload(String onload)` Sets an onload Javascript handler.
    `void` | `setOnunload(String onunload)` Sets an onunload Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setRight(javax.faces.component.UIComponent rightFacet)` The frame to be rendered to the right of the center frame.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setStart(javax.faces.component.UIComponent startFacet)` The frame to be rendered to the left of the center frame, if the reading direction is left-to-right, or right otherwise.
    `void` | `setStyleClass(String styleClass)` Sets the CSS style class of the bean.
    `void` | `setTop(javax.faces.component.UIComponent topFacet)` The frame to be rendered above the center frame.
    `void` | `setWidth(String width)` Sets The proposed width of this frameBorderLayout.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### ONLOAD_KEY

          public static final PropertyKey ONLOAD_KEY

    - #### ONUNLOAD_KEY

          public static final PropertyKey ONUNLOAD_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### FRAME_SPACING_KEY

          public static final PropertyKey FRAME_SPACING_KEY

    - #### BORDER_WIDTH_KEY

          public static final PropertyKey BORDER_WIDTH_KEY

    - #### FRAME_BORDER_WIDTH_KEY

          public static final PropertyKey FRAME_BORDER_WIDTH_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### CENTER_FACET

          public static final String CENTER_FACET

      See Also:
        Constant Field Values

    - #### TOP_FACET

          public static final String TOP_FACET

      See Also:
        Constant Field Values

    - #### BOTTOM_FACET

          public static final String BOTTOM_FACET

      See Also:
        Constant Field Values

    - #### LEFT_FACET

          public static final String LEFT_FACET

      See Also:
        Constant Field Values

    - #### RIGHT_FACET

          public static final String RIGHT_FACET

      See Also:
        Constant Field Values

    - #### START_FACET

          public static final String START_FACET

      See Also:
        Constant Field Values

    - #### END_FACET

          public static final String END_FACET

      See Also:
        Constant Field Values

    - #### INNER_LEFT_FACET

          public static final String INNER_LEFT_FACET

      See Also:
        Constant Field Values

    - #### INNER_RIGHT_FACET

          public static final String INNER_RIGHT_FACET

      See Also:
        Constant Field Values

    - #### INNER_START_FACET

          public static final String INNER_START_FACET

      See Also:
        Constant Field Values

    - #### INNER_END_FACET

          public static final String INNER_END_FACET

      See Also:
        Constant Field Values

    - #### ALTERNATE_CONTENT_FACET

          public static final String ALTERNATE_CONTENT_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlFrameBorderLayout

          public HtmlFrameBorderLayout()

      Construct an instance of the HtmlFrameBorderLayout.

    - #### HtmlFrameBorderLayout

          protected HtmlFrameBorderLayout(String rendererType)

      Construct an instance of the HtmlFrameBorderLayout.

  - ### Method Detail

    - #### getCenter

          public final javax.faces.component.UIComponent getCenter()

      The frame to be rendered in the center.

    - #### setCenter

          public final void setCenter(javax.faces.component.UIComponent centerFacet)

      The frame to be rendered in the center.

    - #### getTop

          public final javax.faces.component.UIComponent getTop()

      The frame to be rendered above the center frame. This frame's height attribute is used to allocate its height.

    - #### setTop

          public final void setTop(javax.faces.component.UIComponent topFacet)

      The frame to be rendered above the center frame. This frame's height attribute is used to allocate its height.

    - #### getBottom

          public final javax.faces.component.UIComponent getBottom()

      The frame to be rendered below the center frame. This frame's height attribute is used to allocate its height.

    - #### setBottom

          public final void setBottom(javax.faces.component.UIComponent bottomFacet)

      The frame to be rendered below the center frame. This frame's height attribute is used to allocate its height.

    - #### getLeft

          public final javax.faces.component.UIComponent getLeft()

      The frame to be rendered to the left of the center frame. This frame's width attribute is used to allocate its width.

    - #### setLeft

          public final void setLeft(javax.faces.component.UIComponent leftFacet)

      The frame to be rendered to the left of the center frame. This frame's width attribute is used to allocate its width.

    - #### getRight

          public final javax.faces.component.UIComponent getRight()

      The frame to be rendered to the right of the center frame. This frame's width attribute is used to allocate its width.

    - #### setRight

          public final void setRight(javax.faces.component.UIComponent rightFacet)

      The frame to be rendered to the right of the center frame. This frame's width attribute is used to allocate its width.

    - #### getStart

          public final javax.faces.component.UIComponent getStart()

      The frame to be rendered to the left of the center frame, if the reading direction is left-to-right, or right otherwise. This frame's width attribute is used to allocate its width.

    - #### setStart

          public final void setStart(javax.faces.component.UIComponent startFacet)

      The frame to be rendered to the left of the center frame, if the reading direction is left-to-right, or right otherwise. This frame's width attribute is used to allocate its width.

    - #### getEnd

          public final javax.faces.component.UIComponent getEnd()

      The frame to be rendered to the right of the center frame, if the reading direction is left-to-right, or left otherwise. This frame's width attribute is used to allocate its width.

    - #### setEnd

          public final void setEnd(javax.faces.component.UIComponent endFacet)

      The frame to be rendered to the right of the center frame, if the reading direction is left-to-right, or left otherwise. This frame's width attribute is used to allocate its width.

    - #### getInnerLeft

          public final javax.faces.component.UIComponent getInnerLeft()

      The frame to be rendered between the left frame and the center frame. This frame's width attribute is used to allocate its width.

    - #### setInnerLeft

          public final void setInnerLeft(javax.faces.component.UIComponent innerLeftFacet)

      The frame to be rendered between the left frame and the center frame. This frame's width attribute is used to allocate its width.

    - #### getInnerRight

          public final javax.faces.component.UIComponent getInnerRight()

      The frame to be rendered between the right frame and the center frame. This frame's width attribute is used to allocate its width.

    - #### setInnerRight

          public final void setInnerRight(javax.faces.component.UIComponent innerRightFacet)

      The frame to be rendered between the right frame and the center frame. This frame's width attribute is used to allocate its width.

    - #### getInnerStart

          public final javax.faces.component.UIComponent getInnerStart()

      The frame to be rendered as the innerLeft frame, if the reading direction is left-to-right, or innerRight frame otherwise. This frame's width attribute is used to allocate its width.

    - #### setInnerStart

          public final void setInnerStart(javax.faces.component.UIComponent innerStartFacet)

      The frame to be rendered as the innerLeft frame, if the reading direction is left-to-right, or innerRight frame otherwise. This frame's width attribute is used to allocate its width.

    - #### getInnerEnd

          public final javax.faces.component.UIComponent getInnerEnd()

      The frame to be rendered as the innerRight frame, if the reading direction is left-to-right, or innerLeft frame otherwise. This frame's width attribute is used to allocate its width.

    - #### setInnerEnd

          public final void setInnerEnd(javax.faces.component.UIComponent innerEndFacet)

      The frame to be rendered as the innerRight frame, if the reading direction is left-to-right, or innerLeft frame otherwise. This frame's width attribute is used to allocate its width.

    - #### getAlternateContent

          public final javax.faces.component.UIComponent getAlternateContent()

      These contents will be rendered inside HTML `NOFRAMES` tags. Browsers that do not support frames will render these contents.

    - #### setAlternateContent

          public final void setAlternateContent(javax.faces.component.UIComponent alternateContentFacet)

      These contents will be rendered inside HTML `NOFRAMES` tags. Browsers that do not support frames will render these contents.

    - #### getOnload

          public final String getOnload()

      Gets an onload Javascript handler.
      Returns:
        the new onload value

    - #### setOnload

          public final void setOnload(String onload)

      Sets an onload Javascript handler.
      Parameters:
        `onload` - the new onload value

    - #### getOnunload

          public final String getOnunload()

      Gets an onunload Javascript handler.
      Returns:
        the new onunload value

    - #### setOnunload

          public final void setOnunload(String onunload)

      Sets an onunload Javascript handler.
      Parameters:
        `onunload` - the new onunload value

    - #### getWidth

          public final String getWidth()

      Gets The proposed width of this frameBorderLayout. This can be in pixels or percentage. This attribute is used only if this a nested frameBorderLayout in a left/right facet of a frameBorderLayout.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets The proposed width of this frameBorderLayout. This can be in pixels or percentage. This attribute is used only if this a nested frameBorderLayout in a left/right facet of a frameBorderLayout.
      Parameters:
        `width` - the new width value

    - #### getHeight

          public final String getHeight()

      Gets The proposed height of this frameBorderLayout. This can be in pixels or percentage. This attribute is used only if this a nested frameBorderLayout in a top/bottom facet of a frameBorderLayout.
      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(String height)

      Sets The proposed height of this frameBorderLayout. This can be in pixels or percentage. This attribute is used only if this a nested frameBorderLayout in a top/bottom facet of a frameBorderLayout.
      Parameters:
        `height` - the new height value

    - #### getFrameSpacing

          public final int getFrameSpacing()

      Gets The size of frame spacing to be rendered.
      Returns:
        the new frameSpacing value

    - #### setFrameSpacing

          public final void setFrameSpacing(int frameSpacing)

      Sets The size of frame spacing to be rendered.
      Parameters:
        `frameSpacing` - the new frameSpacing value

    - #### getBorderWidth

          public final int getBorderWidth()

      Gets The size for the border width to be rendered.
      Returns:
        the new borderWidth value

    - #### setBorderWidth

          public final void setBorderWidth(int borderWidth)

      Sets The size for the border width to be rendered.
      Parameters:
        `borderWidth` - the new borderWidth value

    - #### getFrameBorderWidth

          public final int getFrameBorderWidth()

      Gets The size for the frame border width to be rendered.
      Returns:
        the new frameBorderWidth value

    - #### setFrameBorderWidth

          public final void setFrameBorderWidth(int frameBorderWidth)

      Sets The size for the frame border width to be rendered.
      Parameters:
        `frameBorderWidth` - the new frameBorderWidth value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getStyleClass

          public final String getStyleClass()

      Gets the CSS style class of the bean.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets the CSS style class of the bean.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the inline CSS style for this element
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the inline CSS style for this element
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.